FANDOM



Aur install Edit

git clone https://aur.archlinux.org/packages/virtualbox-bin-5.0
cd virtualbox-bin-5.0
less PKGBUILD
makepkg -si
sudo gpasswd -a USERNAME vboxusers

arch Edit

https://www.youtube.com/watch?v=QzOrQGlehpQ install virtualbox sudo pacman -S qt5 virtualbox

sudo modprobe -a vboxdrv
sudo echo "virtualbox" >> /etc/modules-load.d/virtualbox.conf
sudo gpasswd -a $USER vboxusers    #adds you to the usergroup.

manjaro forum Edit

uname -a it will show something like this Linux user 4.6.0-1-MANJARO #1 SMP PREEMPT Mon May 16 02:44:59 2016 x86_64 GNU/Linux In bold is your kernel version, so install the virtualbox host modules for your kernel number replacing 46 with what your output showed from the above.

  • sudo pacman -S virtualbox
  • sudo pacman -S linux46-virtualbox-host-modules
  • sudo modprobe vboxdrv

Now load your virtualbox module sudo /sbin/rcvboxdrv setup ... this does

Virtualbox should run normally now - if not, use pamac and uninstall anything related to virtualbox then just install the 'virtualbox' package and it will do the above for you if you tell it the kernel version you are using

  • https://wiki.manjaro.org/index.php?title=VirtualBox
  • https://forum.manjaro.org/t/installing-virtualbox/28734/10 Unfortunately, that is not completely true. And maybe a reason why there are so may questions regarding installing virtualbox. virtualbox depends only on a “VIRTUALBOX-HOST-MODULES” Provider and there are numerous packages that provides it. If you type in pacman -S virtualbox pacman ask you which provider you want to install. There is a list containing the pre build Kernel modules but also virtualbox-host-dkms. If you pick wrong, it won’t work the way you expect it.

pacman -S virtualbox virtualbox-host-dkms Installs only virtualbox and virtualbox-host-dkms and don’t ask or installs the pre build Kernel modules. It might also install the dkms package.

install notes Edit

http://askubuntu.com/questions/604175/how-to-mount-disk-image-taken-in-linux-and-run-in-virtual-box

  • Creat a 13.5gig partition or larger set size for win7 on usb stick with Gparted or fdisk, as it won't boot on less allocation. We won't boot from the usb, it is used to create a vbox vdi file. Fdisk and FVAT creation instructions page. Use NTFS for win7. umount /dev/sdb and format with dd if=/dev/zero of=/dev/sdb bs=1M and then create primary partition with fdisk or gparted. unmounted

For dd and mkisofs tutoria see linuxpromagazine,dd and mkisofs

  • mkisofs -o win7.iso /media/john . Copy this iso file to partitioned usb.
  • umount /dev/sdb
  • dd if=/dev/sdb of=~/win7file.img Create .img from iso.
  • VBoxManage convertfromraw --format VDI win7file.img win7.vdi --- convert .img file to vbox virtual disk image.
  • install from this image with virtualbox

virtbox Edit

http://vbox-dev.virtualbox.narkive.com/twHMZxsj/linux-build-dependency-iasl-not-found

https://acpica.org/downloads

https://trac.netlabs.org/kbuild/wiki/Documentation for compiling kbuild, http://trac.netlabs.org/kbuild/wiki/Download download of kbuild

see ./configure --help for directory that kbuild must be placed in(defaults to virtbx directory)

tor me Edit

http://i2p2piszzzndhfvr.onion/doku.php/start

http://i2p2piszzzndhfvr.onion/doku.php/wiki:i2plinks

package errors Edit

After you get that error, try apt-get -f install to force an install of the files that didn't get loaded because of the error. Then try apt-get upgrade again, apt-get -f install back and forth until only the package that has the error is left. https://www.linuxquestions.org/questions/debian-26/sub-process-usr-bin-dpkg-returned-an-error-code-1-a-171107/

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.